<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="stylesheet" href="assets/css/main.css">
        <link rel="stylesheet" href="assets/css/button.css">
        <link rel="stylesheet" href="assets/css/records.css">
        <link rel="stylesheet" href="assets/css/modal.css">
        <title>Crud Demo</title>
    </head>
    <body>
        <header>
            <h1>Crud Demo</h1>
        </header>
        <main>
            <button type="button" class="button blue mobile" id="create">Create</button>
            <table id="tableUser" class="records">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Contact No.</th>
                        <th>Salary</th>
                        <th>City</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
            <div class="modal" id="modal">
                    <div class="modal-content">
                        <header class="modal-header">
                            <h2>New User</h2>
                            <span class="modal-close" id="close">&#10006;</span>
                        </header>
                        <form id="form" class="modal-form" name="myForm" onsubmit = "return(validate());">
                            <input type="text" id="name" data-index="new" class="modal-field" placeholder="Name" required>
                            <input type="email" id="email" class="modal-field" placeholder="e-mail" required>
                            <input type="number" id="contact" class="modal-field" placeholder="Contact" required>
                            <input type="number" id="salary" class="modal-field" placeholder="Salary" required>
                            <input type="text" id="city" class="modal-field" placeholder="City" required>
                        </form>
                        <footer class="modal-footer">
                            <button id="save" class="button green">Save</button>
                            <button id="cancel" class="button blue">Cancel</button>
                        </footer>
                    </div>
                </div>
        </main>
        <footer>
        </footer>
        <script src="assets/js/myScript.js"></script>
    </body>
</html>
